package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWF083Data {

    private Map<String, Object> params;
    
    public MWF083Data(Map<String, Object> params) {
        this.params = params;
    }

    public Double rsCastka() {
        return (Double) params.get("RS_CASTKA");
    }

    public java.util.Date rsDatumexpirace() {
        return (java.util.Date) params.get("RS_DATUMEXPIRACE");
    }

    public java.util.Date rsDatumporizeni() {
        return (java.util.Date) params.get("RS_DATUMPORIZENI");
    }

    public String rsDuvodblokace() {
        return (String) params.get("RS_DUVODBLOKACE");
    }

    public String rsDuvodblokace2() {
        return (String) params.get("RS_DUVODBLOKACE2");
    }

    public String rsId() {
        return (String) params.get("RS_ID");
    }

    public String rsCislovety() {
        return (String) params.get("RS_CISLOVETY");
    }

    public String rsTypvety() {
        return (String) params.get("RS_TYPVETY");
    }

    public String rsBarva() {
        return (String) params.get("RS_BARVA");
    }

    public String rsTypblokace() {
        return (String) params.get("RS_TYPBLOKACE");
    } 

}
